## org.jboss.ejb.plugins.jrmp12.server
Class JRMPContainerInvoker

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jrmp12.server.JRMPContainerInvoker

All Implemented Interfaces:
  ContainerInvoker, ContainerPlugin, Service

public final class JRMPContainerInvoker
extends java.lang.Object
implements ContainerInvoker

<description>

Version:
  $Revision: 1.12.6.1 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), Marc Fleury
See Also:
  <related>

Constructor Summary
`JRMPContainerInvoker(JRMPContainerInvoker ci)`

Method Summary
`void` `destroy()`
`javax.ejb.EJBHome` `getEJBHome()` This method is called whenever the EJBHome implementation for this container is needed.
`javax.ejb.EJBMetaData` `getEJBMetaData()` This method is called whenever the metadata for this container is needed.
`java.util.Collection` `getEntityCollection(java.util.Collection ids)` This method is called whenever a collection of EJBObjects for a collection of primary keys is needed.
`javax.ejb.EJBObject` `getEntityEJBObject(java.lang.Object id)` This method is called whenever an EJBObject implementation for an entitybean is needed.
`javax.ejb.EJBObject` `getStatefulSessionEJBObject(java.lang.Object id)` This method is called whenever an EJBObject implementation for a stateful session bean is needed.
`javax.ejb.EJBObject` `getStatelessSessionEJBObject()` This method is called whenever an EJBObject implementation for a stateless session bean is needed.
`void` `init()`
`void` `setContainer(Container con)` This callback is set by the container so that the plugin may access it
`void` `start()`
`void` `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRMPContainerInvoker

    public JRMPContainerInvoker(JRMPContainerInvoker ci)

Method Detail

### setContainer

    public void setContainer(Container con)

  Description copied from interface: `ContainerPlugin`
  This callback is set by the container so that the plugin may access it
  Specified by:
    `setContainer` in interface `ContainerPlugin`
  Following copied from interface: `org.jboss.ejb.ContainerPlugin`
  Parameters:
    `con` - the container using this plugin

### init

    public void init()

  Specified by:
    `init` in interface `Service`

### start

    public void start()

  Specified by:
    `start` in interface `Service`

### stop

    public void stop()

  Specified by:
    `stop` in interface `Service`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `Service`

### getEJBMetaData

    public javax.ejb.EJBMetaData getEJBMetaData()

  Description copied from interface: `ContainerInvoker`
  This method is called whenever the metadata for this container is needed.
  Specified by:
    `getEJBMetaData` in interface `ContainerInvoker`
  Following copied from interface: `org.jboss.ejb.ContainerInvoker`
  Returns:
    an implementation of the EJBMetaData interface

### getEJBHome

    public javax.ejb.EJBHome getEJBHome()

  Description copied from interface: `ContainerInvoker`
  This method is called whenever the EJBHome implementation for this container is needed.
  Specified by:
    `getEJBHome` in interface `ContainerInvoker`
  Following copied from interface: `org.jboss.ejb.ContainerInvoker`
  Returns:
    an implementation of the home interface for this container

### getStatelessSessionEJBObject

    public javax.ejb.EJBObject getStatelessSessionEJBObject()

  Description copied from interface: `ContainerInvoker`
  This method is called whenever an EJBObject implementation for a stateless session bean is needed.
  Specified by:
    `getStatelessSessionEJBObject` in interface `ContainerInvoker`
  Following copied from interface: `org.jboss.ejb.ContainerInvoker`
  Returns:
    an implementation of the remote interface for this container
  Throws:
    `java.rmi.RemoteException` - thrown if the EJBObject could not be created

### getStatefulSessionEJBObject

    public javax.ejb.EJBObject getStatefulSessionEJBObject(java.lang.Object id)

  Description copied from interface: `ContainerInvoker`
  This method is called whenever an EJBObject implementation for a stateful session bean is needed.
  Specified by:
    `getStatefulSessionEJBObject` in interface `ContainerInvoker`
  Following copied from interface: `org.jboss.ejb.ContainerInvoker`
  Parameters:
    `id` - the id of the session
  Returns:
    an implementation of the remote interface for this container
  Throws:
    `java.rmi.RemoteException` - thrown if the EJBObject could not be created

### getEntityEJBObject

    public javax.ejb.EJBObject getEntityEJBObject(java.lang.Object id)

  Description copied from interface: `ContainerInvoker`
  This method is called whenever an EJBObject implementation for an entitybean is needed.
  Specified by:
    `getEntityEJBObject` in interface `ContainerInvoker`
  Following copied from interface: `org.jboss.ejb.ContainerInvoker`
  Parameters:
    `id` - the primary key of the entity
  Returns:
    an implementation of the remote interface for this container
  Throws:
    `java.rmi.RemoteException` - thrown if the EJBObject could not be created

### getEntityCollection

    public java.util.Collection getEntityCollection(java.util.Collection ids)

  Description copied from interface: `ContainerInvoker`
  This method is called whenever a collection of EJBObjects for a collection of primary keys is needed.
  Specified by:
    `getEntityCollection` in interface `ContainerInvoker`
  Following copied from interface: `org.jboss.ejb.ContainerInvoker`
  Parameters:
    `enum` - enumeration of primary keys
  Returns:
    a collection of EJBObjects implementing the remote interface for this container
  Throws:
    `java.rmi.RemoteException` - thrown if the EJBObjects could not be created

Copyright © 2000 The JBoss Organization. All Rights Reserved.